TARGET   = Prog
TEMPLATE = app
CONFIG *= warn_on debug     # release
CONFIG *= apig

HEADERS = sources/*.h
SOURCES = sources/*.cpp

OBJECTS_DIR = .obj

message(configuring ApiGraphics.)

# APIG_ROOT. To be changed depending on your system.
# The rest should not be edited.
APIG_ROOT = $$PWD/../..

INCLUDEPATH *= $$APIG_ROOT/src
HEADERS     *= $$APIG_ROOT/src/ApiGraphics/*.h
SOURCES     *= $$APIG_ROOT/src/ApiGraphics/*.cpp

#Argstream
ARGSTREAM_DIR = $$APIG_ROOT/lib/argstream
HEADERS += $$ARGSTREAM_DIR/argstream.h
INCLUDEPATH += $$ARGSTREAM_DIR

# GLEW
GLEW_ROOT = $$APIG_ROOT/lib/glew/src
INCLUDEPATH *= $$GLEW_ROOT $$GLEW_ROOT/../include/
HEADERS += $$GLEW_ROOT/*.h $$GLEW_ROOT/../include/GL/*.h
SOURCES += $$GLEW_ROOT/*.cpp $$GLEW_ROOT/glew.c


# This might need some tweaking depending on your OS
if (macx) {
    LIBS += -framework QGLViewer
    CONFIG *= qt
    LIBS += -framework GLUT
    QT *= opengl xml
} else {
    # Make sure we use the QT4 version of libQGLViewer
    LIBS += -lqglviewer-qt4
    CONFIG *= qt
    LIBS += -lglut
    QT *= opengl xml
}
